<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Company;
class CompanySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        
    }
    public static function createCompany() // เพิ่ม srtatic method เพื่อใช้ใน DatabaseSeeder
    {
        return Company::create([
            'name' => 'บริษัท สมบูรณ์ทรัพย์ จำกัด',
            'address' => '123 ถนนสมบูรณ์ กทม.',
        ]);
    }
}
